Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
IDependent Class Referenceabstract

A dependent will get notified about changes of a model. More...

`#include <iupdatehandler.h>`

Inheritance diagram for IDependent:

## Public Types
enum | ChangeMessage { kWillChange , kChanged , kDestroyed , kWillDestroy , kStdChangeMessageLast = kWillDestroy }

## Public Member Functions
virtual void | update (FUnknown *changedUnknown, int32 message)=0
| Inform the dependent, that the passed FUnknown has changed.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

A dependent will get notified about changes of a model.

[plug imp]

- notify changes of a model

See also
  IUpdateHandler

## Member Enumeration Documentation

## ◆ ChangeMessage

enum ChangeMessage

Enumerator
kWillChange |
kChanged |
kDestroyed |
kWillDestroy |
kStdChangeMessageLast |

## Member Function Documentation

## ◆ update()

virtual void update | ( | FUnknown * | changedUnknown,
|  | int32 | message )
| pure virtual

Inform the dependent, that the passed FUnknown has changed.

## Member Data Documentation

## ◆ iid

const::Steinberg::FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.